@import "./variables.scss";

.container {
  margin-top: 0.5em;

  .title {
    margin: 0;
    line-height: 1.15;
    font-size: 4rem;
    text-align: center;

    a {
      color: $base-color;
      text-decoration: none;

      a:hover,
      a:focus,
      a:focus,
      a:active {
        text-decoration: underline;
      }
    }
  }

  .card {
    width: 30em;
    height: 35em;
    margin: 0 auto 1rem auto;
    padding: 1.5rem;
    color: inherit;
    text-decoration: none;
    border: 1px solid #eaeaea;
    border-radius: 10px;
    transition: color 0.15s ease, border-color 0.15s ease;
    text-align: center;

    h2 {
      margin: 0 0 1rem 0;
      font-size: 1.5rem;
    }

    p {
      font-size: 1.25rem;
      line-height: 3.5;
    }

    img {
      width: auto;
      height: 14em;
    }

    h2:hover,
    p:hover,
    h2:focus,
    p:focus,
    h2:active,
    p:active {
      color: $base-color;
    }

    .controlPanel {
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: row;
      margin-top: 3em;

      .songBtn {
        width: 5em;
        height: 5em;
        padding: 0 auto;
        margin: 0 1em;
        background-color: none;
        border-radius: 50%;
        border: 0.4em solid $text-color;

        svg {
          width: 2.5em;
          height: 2.5em;
        }
      }

      //play & pause button
      .songBtn:nth-child(2) {
        width: 8em;
        height: 8em;

        svg {
          width: 4em;
          height: 4em;
        }
      }

      .songBtn:nth-child(3) {
        svg {
          padding-left: 0.3em;
        }
      }

      .songBtn:hover {
        svg {
          fill: $text-hover;
        }
      }
    }

    .card:hover,
    .card:focus,
    .card:active {
      border-color: $base-color;
    }
  }
}
